Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class WebappRoleResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--com.bea.p13n.entitlements.resource.P13nResource
                  |
                  +--com.bea.p13n.entitlements.resource.WebappRoleResource

All Implemented Interfaces:
  Resource, SelfDescribingResource, Serializable

public class WebappRoleResource
extends P13nResource

The WebappRoleResource class is used to represent an application defined resource for management and runtime checking of role and security policies.

This class has special significance for the formation and runtime checking of role policies associated with a resource. Role policies will be collected at the web application scope, enterprise application scope and global scope.

This class will search for security policies beginning at the application resource leaf node and then in a hiearchical manner, until located, using the P13nSecurityResource class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`WebappRoleResource(String entAppName, String webAppName, String appResourceID, String capability)` Construct a resource whose role policies will be scoped at the web application level

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebappRoleResource

    public WebappRoleResource(String entAppName,
                              String webAppName,
                              String appResourceID,
                              String capability)

  Construct a resource whose role policies will be scoped at the web application level

Parameters:
  `entAppName` - Enterprise application name.
  `webAppName` - Webapp name.
  `appResourceID` - Application-defined resource taxonomy Id

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns:
    EntitlementConstants.WEBAPP_ROLE_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved